Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLAppletElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

public interface HTMLAppletElement extends HTMLElement
An embedded Java applet. See the APPLET element definition in HTML 4.0. This element is deprecated in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlign()`
Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String`
`getAlt()`
Alternate text for user agents not rendering the normal content of this element.
`String`
`getArchive()`
Comma-separated archive list.
`String`
`getCode()`
Applet class file.
`String`
`getCodeBase()`
Optional base URI for applet.
`String`
`getHeight()`
Override height.
`String`
`getHspace()`
Horizontal space to the left and right of this image, applet, or object.
`String`
`getName()`
The name of the applet.
`String`
`getObject()`
Serialized applet file.
`String`
`getVspace()`
Vertical space above and below this image, applet, or object.
`String`
`getWidth()`
Override width.
`void`
`setAlign(String align)`
`void`
`setAlt(String alt)`
`void`
`setArchive(String archive)`
`void`
`setCode(String code)`
`void`
`setCodeBase(String codeBase)`
`void`
`setHeight(String height)`
`void`
`setHspace(String hspace)`
`void`
`setName(String name)`
`void`
`setObject(String object)`
`void`
`setVspace(String vspace)`
`void`
`setWidth(String width)`

### Methods declared in interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getAlign

String getAlign()
Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

void setAlign(String align)

### getAlt

String getAlt()
Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlt

void setAlt(String alt)

### getArchive

String getArchive()
Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setArchive

void setArchive(String archive)

### getCode

String getCode()
Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setCode

void setCode(String code)

### getCodeBase

String getCodeBase()
Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setCodeBase

void setCodeBase(String codeBase)

### getHeight

String getHeight()
Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHeight

void setHeight(String height)

### getHspace

String getHspace()
Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

void setHspace(String hspace)

### getName

String getName()
The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setName

void setName(String name)

### getObject

String getObject()
Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setObject

void setObject(String object)

### getVspace

String getVspace()
Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

void setVspace(String vspace)

### getWidth

String getWidth()
Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setWidth

void setWidth(String width)